public class NonResidentStudent extends Student { 
	NonResidentStudent(String name) {
		/* super keyword here refers to the
		 * constructor in the parent class (Student). */
		super(name);
	}

	private double discountRate;

	double getDiscountRate() {
		return this.discountRate;
	}

	void setDiscountRate(double r) {
		this.discountRate = r;
	}

	double getTuition() {
		/* This line calls the version of 
		 * getTuition() from the parent class (Student) */
		double base = super.getTuition();
		return base * discountRate;
	}
}
