public class Student {
	private String name;
	private Course[] courses;
	private int noc; /* number of courses */
	
	Student(String name) {
		this.name = name;
		courses = new Course[30];
	}
	
	String getName() {
		return this.name;
	}
	
	void register(Course c) { 
		if(noc >= 5) {
			throw new IllegalArgumentException("Too many courses!");
		}
		else {
			courses[noc] = c;
			noc ++;
		}
	}
	
	double getTuition() {
		double base = 0;
		
		for(int i = 0; i < noc; i ++) {
			base += courses[i].getFee();
		}
		
		return base;
	}
}
